summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_w2k3.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-12 01:36:56 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:00 -0500
commit3a3947cd861ffaa08fb68ced510af1f55230defd (patch)
tree9f9be95fc12560855bcd4949c8b44f59e94e4954 /source4/script/tests/test_w2k3.sh
parent82da98a1da265438778d38dbafe4aaebbc27dd0d (diff)
downloadsamba-3a3947cd861ffaa08fb68ced510af1f55230defd.tar.gz
samba-3a3947cd861ffaa08fb68ced510af1f55230defd.tar.bz2
samba-3a3947cd861ffaa08fb68ced510af1f55230defd.zip
r7495: used --maximum-runtime=300 for each smbtorture call, to prevent it
running too long (This used to be commit 3d70755abfb7764379d648e9bc1697ae9289d02b)
Diffstat (limited to 'source4/script/tests/test_w2k3.sh')
-rwxr-xr-xsource4/script/tests/test_w2k3.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/source4/script/tests/test_w2k3.sh b/source4/script/tests/test_w2k3.sh
index c8f5957442..71c6f3a4f7 100755
--- a/source4/script/tests/test_w2k3.sh
+++ b/source4/script/tests/test_w2k3.sh
@@ -33,7 +33,7 @@ OPTIONS="-U$username%$password -W $domain --option realm=$realm"
failed=0
name="RPC-SPOOLSS on ncacn_np"
-testit "$name" bin/smbtorture ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate bigendian; do
for transport in ncacn_ip_tcp ncacn_np; do
@@ -43,14 +43,14 @@ for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate b
esac
for t in $tests; do
name="$t on $transport with $bindoptions"
- testit "$name" bin/smbtorture $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
+ testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
done
done
done
name="RPC-DRSUAPI on ncacn_ip_tcp with seal"
-testit "$name" bin/smbtorture ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
name="RPC-DRSUAPI on ncacn_ip_tcp with seal,bigendian"
-testit "$name" bin/smbtorture ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
+testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
testok $0 $failed